#!/bin/bash
#
# Script: bomb.sh
# Author: dacomo
# Date: 05-05-23
# Version: 1.0
#
# 3- Develope a script called bomb.sh that:  --- El bucle
# a) Firstly, it checks if the script is being run by the root user. If it is not  being run by the root user, it will be terminated returning an exit code equal to 1 and showing: "This script must be run as root".
# b) Secondly, it shows a menu with the following options:
#     1) Download  bomba.deb  from http://www.collados.org/asix1/m01/tu3/bomba.deb. if your script fails to download bomba.deb, it will terminate returning an exit code equal to 2 and showing: "Package not found".
#     2) Intall bomba.deb on your system with the help of dpkg. If bomba.deb is not succesfully installed on your system, your script  will display "Debian package can not be installed on your system" and it will be terminated returning an exit code equal to 3.
#     3) Run bomba. If  your script can not run bomba, the following message wil be displayed: "Problems running bomba",  and it will be terminated returning an exit code equal to 4.
#     4) Uninstall and purge bomba.deb with the help of dpkg. If bomba.deb is not succesfully uninstalled and purged, your script  will display "Debian package can not beuninstalled and purged" and it will be terminated returning an exit code equal to 5.
# If you select any other option, the following message will be displayed: "Wrong option. Please, select 1/2/3/4/".
# c) Thirdly, your script asks the user if he/she wants to display again the menu in order to select a new option.  If the user writes "yes" the  menu is shown again. Otherwise, the script ends.
# d) Your script must terminate returning an exit code equal to 0 if everything works fine. 
#
clear
if (( EUID != 0 ))
then
  echo "This script must be run as a root"
  exit 1 
fi
cont="yes"
while [[ $cont == "yes" ]]
do
	echo $cont
	clear
	echo "MENU:"
	echo "1) Download bomba.deb"
	echo "2) Install bomba.deb"
	echo "3) Run bomba"
	echo "4) Uninstall and purge bomba"
	echo -n "Select an option: "
	read op
	case $op in
		1) 	clear
			wget -N http://www.collados.org/asix1/m01/tu3/bomba.deb # if bomba.deb was previously downloaded, -N downloads the package again    
			if [[ $? != 0 ]]										# and overwrite old bomba.deb only if the server has a newer version
			then
				echo "Package not found"
				exit 2
			fi
			;;
		2) 	clear
			dpkg -i bomba.deb 2> /dev/null # 2> /dev/null redirects error output messageto /dev/null. Only the script error messages will be displayed
			if [[ $? != 0 ]]
			then
				echo "Debian package can not be installed on your system"
				exit 3
			fi
			;;
		3) 	bomba 2> /dev/null  
			if [[ $? != 0 ]]
			then
				echo "Problems running bomba"
				exit 4
			fi
			;;
		4) 	dpkg -P bomba 2> /dev/null # -P means uninstall and purge (purge means: remove any configuration file remaining in the system when a package is removed)
			if [[ $? != 0 ]]
			then
				echo "Debian package can not be uninstalled and purged"
				exit 5
			fi			
			;;
		*) 	echo "Wrong option. Please, select 1/2/3/4"
			;;
	esac
	echo -n "Do you want to continue [yes/no] (no - default option): " 
	read cont 
done
exit 0
