#!/bin/bash
if (( $EUID != 0 )) # $EUID = 0 if you are running the script with root privileges
then
	echo "This script must be run as a root"
	exit 1
else
	while [[ true ]]
	do
		echo "1) Add a group called inf1 with gid=4040 to your system."
		echo "2) Check that group  inf1 was created on your system"
		echo "3) Remove group inf1 from your system"
		echo "x) Exit "
		echo -n "Select an option: "
		read op
		case $op in
			1) 	groupadd -g 4040 inf1
				;;
			2)  cat /etc/group | grep inf1
				if (( $? == 0 ))
				then
					echo "inf1 group exists"
				else
					echo "inf1 group doesn't exist"
				fi
				;;
			3)  groupdel inf1
				;;
			x)  exit 0
				;;
		esac
	done
fi
exit 0
